<div class="section">
    <!-- container -->
    <div class="container">
        <!-- row -->
        <div class="row">
            <!-- ASIDE -->
            <div id="aside" class="col-md-3">
                <!-- aside Widget -->
                <div class="aside">
                    <h3 class="aside-title">Categories</h3>
                    <div class="checkbox-filter" >

                        <div  *ngFor="let C of arraydataCategories">
                            <input  class="form-control-inline mx-2"
                             type="checkbox" id="category-1" (change)="getSelected2()" type="checkbox"
                            name="categories"
                            value="{{C.id}}"
                            [(ngModel)]="C.isCkecked"/>
                               
                            <label class="form-check-label mx-2" for="category-1">
                               
                                {{C.title}}
                                
                            </label>
                        </div> 
                    
                          <!-- <ul class="game-list">
                            <li *ngFor="let g of arraydataCategories" class="game-item"> 
                              <input (change)="getSelected2()" type="checkbox"
                                       name="categories"
                                       value="{{g.id}}"
                                       [(ngModel)]="g.isCkecked"/> 
                              <span class="game-text">{{g.title}}</span>
                            </li>
                          </ul> -->
                    </div>
                </div>
                <!-- /aside Widget -->
                <!-- aside Widget -->
                <div class="aside">


                    <h3 class="aside-title">Prix</h3>
                    <ng5-slider [(ngModel)]="priceSelection" [(value)]="minValue" [(highValue)]="maxValue"
                        [options]="options" (mouseup)="changePrice()"></ng5-slider>

                </div>
                <!-- /aside Widget -->

                <!-- aside Widget -->
                <div class="aside">
                    <h3 class="aside-title">Brand</h3>
                    <div class="checkbox-filter">
                        <div class="input-checkbox">
                            <input type="checkbox" id="brand-1">
                            <label for="brand-1">
                                <span></span>
                                SAMSUNG
                                <small>(578)</small>
                            </label>
                        </div>
                        <div class="input-checkbox">
                            <input type="checkbox" id="brand-2">
                            <label for="brand-2">
                                <span></span>
                                LG
                                <small>(125)</small>
                            </label>
                        </div>
                        <div class="input-checkbox">
                            <input type="checkbox" id="brand-3">
                            <label for="brand-3">
                                <span></span>
                                SONY
                                <small>(755)</small>
                            </label>
                        </div>
                        <div class="input-checkbox">
                            <input type="checkbox" id="brand-4">
                            <label for="brand-4">
                                <span></span>
                                SAMSUNG
                                <small>(578)</small>
                            </label>
                        </div>
                        <div class="input-checkbox">
                            <input type="checkbox" id="brand-5">
                            <label for="brand-5">
                                <span></span>
                                LG
                                <small>(125)</small>
                            </label>
                        </div>
                        <div class="input-checkbox">
                            <input type="checkbox" id="brand-6">
                            <label for="brand-6">
                                <span></span>
                                SONY
                                <small>(755)</small>
                            </label>
                        </div>
                    </div>
                </div>
                <!-- /aside Widget -->

                <!-- aside Widget -->
                <!-- <div class="aside">
                    <h3 class="aside-title">Top selling</h3>
                    <div class="product-widget">
                        <div class="product-img">
                            <img src="assets/img/product01.png" alt="">
                        </div>
                        <div class="product-body">
                            <p class="product-category">Category</p>
                            <h3 class="product-name"><a>product name goes here</a></h3>
                            <h4 class="product-price">$980.00 <del class="product-old-price">$990.00</del></h4>
                        </div>
                    </div>

                    <div class="product-widget">
                        <div class="product-img">
                            <img src="assets/img/product02.png" alt="">
                        </div>
                        <div class="product-body">
                            <p class="product-category">Category</p>
                            <h3 class="product-name"><a>product name goes here</a></h3>
                            <h4 class="product-price">$980.00 <del class="product-old-price">$990.00</del></h4>
                        </div>
                    </div>

                    <div class="product-widget">
                        <div class="product-img">
                            <img src="assets/img/product03.png" alt="">
                        </div>
                        <div class="product-body">
                            <p class="product-category">Category</p>
                            <h3 class="product-name"><a>product name goes here</a></h3>
                            <h4 class="product-price">$980.00 <del class="product-old-price">$990.00</del></h4>
                        </div>
                    </div>
                </div> -->
                <!-- /aside Widget -->
            </div>
            <!-- /ASIDE -->

            <!-- STORE -->
            <div id="store" class="col-md-9">
                <!-- store top filter -->
                <div class="store-filter clearfix">
                    <div class="store-sort">
                        <label>
                            Sort By:
                            <select class="input-select" [(ngModel)]="selectedChoice" (change)="sortbyMessage($event)">
                                <option value="prix -- Low to High">prix -- Low to High</option>
                                <option value="prix -- High to Low">prix -- High to Low</option>
                                <option value="Newest First">Newest First</option>

                            </select>
                        </label>

                        <label>
                            Show:
                            <select name="size" class="input-select" (change)="getarticlebyPage($event)"
                                [(ngModel)]="size">
                                <option value="2">2</option>
                                <option value="4">4</option>
                                <option value="10">10</option>
                                <option value="25">25</option>
                                <option value="-1">All</option>
                            </select>
                        </label>
                    </div>
                    <ul class="store-grid">
                        <li class="active"><i class="fa fa-th"></i></li>
                        <li><a><i class="fa fa-th-list"></i></a></li>
                    </ul>
                </div>
                <!-- /store top filter -->

                <!-- store products -->
                <div class="row">
                    <!-- product -->
                    <div class="col-md-4 col-xs-6"
                        *ngFor="let A of f">
                        <div class="product">
                            <div class="product-img">
                                <img src="http://localhost:8081/users/article/files/{{A.image}}" width="150px"
                                    height="150px" alt="">
                                <div class="product-label">
                                    <span class="sale">-30%</span>
                                    <span class="new">NEW</span>
                                </div>
                            </div>
                            <div class="product-body">
                                <p class="product-category">Category</p>
                                <h3 class="product-name"><a>{{A.nom}}</a></h3>
                                <h4 class="product-price">{{A.prix}} <del class="product-old-price">{{A.prix}}</del>
                                </h4>
                                <div class="product-rating">
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                    <i class="fa fa-star"></i>
                                </div>
                                <div class="product-btns">
                                    <button class="add-to-wishlist" routerLinkActive="router-link-active"><i
                                            class="fa fa-heart-o"></i><span class="tooltipp">add to
                                            wishlist</span></button>

                                    <button class="add-to-compare"><i class="fa fa-exchange"></i><span
                                            class="tooltipp">add to compare</span></button>
                                    <button class="quick-view" [routerLink]="['/detailarticle' , A.id]"><i
                                            class="fa fa-eye"></i><span class="tooltipp">quick view</span></button>
                                </div>
                            </div>
                            <div class="add-to-cart">
                                <button class="add-to-cart-btn" (click)="addToCart(A)">
                                    <i class="fa fa-shopping-cart"></i> add to cart</button>
                            </div>
                        </div>
                    </div>
                    <!-- /product -->
                    <!-- /product -->

                    <div class="clearfix visible-sm visible-xs"></div>





                </div>
                <!-- /store products -->

                <!-- store bottom filter -->
                <div class="row">
                    <div class="col-sm-12 col-md-5">
                        <div class="dataTables_info" id="datatable_info" role="status" aria-live="polite">Showing 1 to
                            42 of 42
                            entries</div>
                    </div>
                    <div class="col-sm-12 col-md-7">
                        <pagination-controls (pageChange)="p = $event"></pagination-controls>

                    </div>
                </div>
                <!-- /STORE -->
            </div>
            <!-- /row -->
        </div>
        <!-- /container -->